# cURL Version Tags

Copy as Markdown[Open in ChatGPT](https://chatgpt.com/?q=Read%20https%3A%2F%2Fdocs-docusaurus.kinsta.page%2Fdeveloper-portal%2Fapis%2Fversion-tags%2Fcurl-version-tags.md%20and%20help%20me%20with%20my%20question%20about%20this%20Coralogix%20documentation%20page.)[Open in Claude](https://claude.ai/new?q=Read%20https%3A%2F%2Fdocs-docusaurus.kinsta.page%2Fdeveloper-portal%2Fapis%2Fversion-tags%2Fcurl-version-tags.md%20and%20help%20me%20with%20my%20question%20about%20this%20Coralogix%20documentation%20page.)

Set up cURL Version Tags with Coralogix.

## Setup[​](#setup "Direct link to Setup")

You can add version tags per application and subsystem using cURL:

**URL:** Choose the <!-- -->https\://api./api/v1/external/tags<!-- --> endpoint that corresponds to your Coralogix [domain](https://docs-docusaurus.kinsta.page/user-guides/account-management/account-settings/coralogix-domain/.md) using the domain selector at the top of the page.

**API Key:** To use this API you need to [create](https://docs-docusaurus.kinsta.page/user-guides/account-management/api-keys/api-keys/.md) a personal or team API key. It's recommended to use permission presets, as they are automatically updated with all relevant permissions. Alternatively, you can manually add individual permissions.

| Preset          | Action                                                                                                    | Description                                                                                        |
| --------------- | --------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| CICDIntegration | `VERSION-BENCHMARK-TAGS:READ`<br />`VERSION-BENCHMARKS-REPORTS:READ`<br />`VERSION-BENCHMARK-TAGS:UPDATE` | View Version Benchmark Tags<br />View Version Benchmark Reports<br />Modify Version Benchmark Tags |

**Method:** POST

**Body Schema:**

```
{"iconUrl": string,"name": string,"timestamp": date type (JavaScript date string or epoch milliseconds)"application": string[]"subsystem": string[]}
```

**Application:** Your Application name.

**Subsystem:** Your Subsystem(s) name(s). You can input more than one subsystem name, use comma delimiter ‘,’ between Subsystem names.

**Name:** Your Version Tag name.

**Timestamp:** Tag Timestamp. (This is **OPTIONAL**: If a timestamp is not supplied, the current timestamp will be applied).

**IconUrl:** Tag's Picture. (This is **OPTIONAL**: Use an URL *(URL encoded)* to a valid image file uploaded to a public repository)

**Supported Image Formats:** png, jpeg, SVG.

**Maximum File Size:** 50 Kilobytes.

**Note:** If the URL to the image contains spaces, please use *%20*.

For example:

<https://www.myimagesite.com/Path%20To%20The%20Image.png>.

**Example (GET):**

```
curl --location --request GET 'https://api.eu2.coralogix.com/api/v1/external/tags/add?key=&application=Application_Name,Application_Name2&subsystem=Subsystem1,Subsystem2,Subsystem3&name=MyFirstTag&timestamp=2020-06-23:09:00:00&iconUrl=your_icon_url'
```

**Example (POST):**

```
curl --location --request POST 'https://api.eu2.coralogix.com/api/v1/external/tags' \

--header 'Authorization: Bearer <cx_api_key>' \

--header 'Content-Type: application/json' \

--data-raw '{

"timestamp": 1617793927675,

"name": "test tag",

"application": ["prd", "dev"],

"subsystem": ["app", "mobile"],

"iconUrl": "my-avatar.png"

}'
```

**Note:** application and subsystem should always be contained between square brackets, even if it is an array of one element, for example:

`"application": ["prd"]`,<br />`"subsystem": ["app"]`

## Additional resources[​](#additional-resources "Direct link to Additional resources")

|                     |                                                                                                 |
| ------------------- | ----------------------------------------------------------------------------------------------- |
| Coralogix Endpoints | [Coralogix Endpoints](https://docs-docusaurus.kinsta.page/integrations/coralogix-endpoints/.md) |
